Subject: Re: Compact flash on mpc8349eITX

From: Anton Vorontsov <[email-masked]>
Date: Fri, 1 Aug 2008 21:59:41 +0400

On Fri, Aug 01, 2008 at 12:36:39PM -0500, Sparks, Sam wrote:
> >From: Anton Vorontsov
> >Sent: Friday, August 01, 2008 11:51 AM
> >
> >Works like a charm here. I use quite outdated u-boot though. Which one
> >you use? I could try it (if it is community u-boot).
> 
> I'm using the head, which I grabbed last week: U-Boot
> 1.3.4-rc1-00012-g1953d12
> TIA for checking your itx with this version.

U-Boot 1.3.4-rc1-00012-g1953d12 (Aug  1 2008 - 21:45:42) MPC83XX

The CF still works.

> >As for the backtrace you posted recently, I remeber I've noticed the
> >similar issue long ago on some mITX board. I believe the board had
> >hw issues indeed (or CF card I tested with). The problem could be in
> >the IRQ line itself (for some reason it always low), or it could be
> >IDE cmd/data lines at fault, so that IDE can't receive status read
> >command and does not deassert the interrupt line... quite hard to
> >tell.
> 
> Thanks for confirming.. I was losing my mind :-)
> This looks like it is indeed a HW problem with the ITX. Are you aware of
> any threads/documents describing the issue? We based our custom HW off
> the ITX schematic with regards to the CF, and I hope we didn't copy over
> _that_ problem :-/

I don't think it was a hw design problem, more likely somebody
fried the CF slot on that board (either by hot-plugging the CF, or via
inserting CF 5V only flash.. either of this is forbidden for the
8349mITX boards).

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2